Package Details: gitso 0.6_20151011-4

Git Clone URL: https://aur.archlinux.org/gitso.git (read-only)
Package Base: gitso
Description: GUI frontend to reverse VNC connections
Upstream URL: http://code.google.com/p/gitso/
Licenses: GPLv3
Submitter: None
Maintainer: khampf
Last Packager: khampf
Votes: 21
Popularity: 0.000945
First Submitted: 2008-12-24 15:17
Last Updated: 2016-10-24 20:45

Latest Comments

khampf commented on 2016-10-24 19:39

@Salamandar: I see spelling errors in the desktop file (written before I got involved). I will update it using your entries, thanks!

Salamandar commented on 2016-10-24 14:44

After a lot of changes and tries, this file shows in my menu with the icon :

[Desktop Entry]
Name=Gitso
Comment=Connect to others using VNC protocol
Exec=gitso
TryExec=gitso
Terminal=false
Type=Application
Icon=gitso
Categories=GNOME;GTK;Network;RemoteAccess;
MimeType=x-remote-connection;

Salamandar commented on 2016-10-24 14:29

Ahah would be great !
BTW is Gitso showing in your Apps list ? Not in mine. I'm trying to figure why but no success…

khampf commented on 2016-10-11 15:53

No problem, it's just that when it got flagged as out of date I got excited about the possibility of a new release :)

Salamandar commented on 2016-10-10 20:37

Well Idk if you get notifs for comments but sorry if you got double notifs ^^
Thx for the changes !

khampf commented on 2016-10-04 15:24

I can add the dependency but it is still not out of date as you flagged

Salamandar commented on 2016-10-03 18:54

Please add python-setuptools to deps ! :)

khampf commented on 2016-04-21 08:15

I did some further editing of your PKGBUILD also but I forgot the tabulations, it will be properly indented next time I upload but it is not reason enough for a new package release :)

Salamandar commented on 2016-04-21 08:04

I installed it but could not test it today, but the PKGBUILD seems okay to me :D
(apart from the missing tabulations, i did not see the multiple spaces were deleted in my comment)
I'll tell you tonight or tomorrow if there are any problems.

khampf commented on 2016-04-20 20:59

The package should really by named gitso-git but I guess that does not matter much in the end. I just edited the PKGBUILD and got a package out of it - no testing of installation, upgrade or actual use of gitso has been made but as the previous PKGBUILD was unusable I decided to upload this right away. Please test installing and using it.

khampf commented on 2016-04-20 20:30

Salamandar: You're right, the package has been neglected as nothing has happened upstream, the PKGBUILD is not following packaging standards. I will put your edits in the PKGBUILD and commit shortly after testing. If you feel keen on maintaining the package, do not be afraid to ask :)

Salamandar commented on 2016-04-20 18:02

The package does not work : old code base, bad packaging (not your fault though).

I created this PKGBUILD considering the last comment from Spheerys.

# Maintainer: K. Hampf <k.hampf@gmail.com>
# Contriburor: Dan Serban (dserban01 => gmail)
# Contributor: Alexandre Gambini <chs_ale@msn.com>

pkgname=gitso
pkgver=0.6
pkgrel=4
pkgdesc="GUI frontend to reverse VNC connections"
arch=('i686' 'x86_64')
url="http://code.google.com/p/gitso/"
license=('GPLv3')
depends=('iproute2' 'wxpython' 'x11vnc' 'tigervnc')
source=("git+https://github.com/rastersoft/Gitso")
md5sums=('SKIP')

prepare() {
cd "$srcdir/Gitso"
sed -i "s|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|" $(find $srcdir -name '*.py')
# Workarounds for two very annoying x11vnc quirks
sed -i "s/'-nopw','-ncache','20'/'-nopw','-noxrecord','-xkb'/" src/Gitso/Processes.py
}


build() {
echo "No build necessary"
# We should build the translations here
}

package() {
cd "$srcdir/Gitso"
# Source code
install -D src/gitso.py $pkgdir/usr/bin/gitso
install -d src/Gitso/ $pkgdir/usr/lib/python2.7/site-packages
cp -R src/Gitso/ $pkgdir/usr/lib/python2.7/site-packages

# Translations
cp -R locale $pkgdir/usr/share/

# Shared resources
install -D arch/linux/README-stand-alone.txt \
$pkgdir/usr/share/doc/gitso/README
ln -s README $pkgdir/usr/share/doc/gitso/Changelog
install -D arch/linux/gitso.1 $pkgdir/usr/share/man/man1/gitso.1
install -D COPYING $pkgdir/usr/share/licenses/gitso/COPYING
install -D data/gitso.desktop $pkgdir/usr/share/applications/gitso.desktop
install -D data/icons/gitso.png $pkgdir/usr/share/icons/hicolor/512x512/apps/gitso.png
install -D data/icons/gitso.ico $pkgdir/usr/share/gitso/gitso.ico

}

Spheerys commented on 2015-11-18 10:25

Gitso is not run correctly for me : when I run it as server, during the client connexion the server crash.
The terminal messages are the following :
---------------------
11:24:19: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1008,wx containers,compatible with 2.8),
and wxPython used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8).
/usr/bin/gitso:9: wxPyDeprecationWarning: Using deprecated class PySimpleApp.
app = wx.PySimpleApp()

Visionneuse TigerVNC 64 bits v1.5.0
Compilé sur : 2015-07-13 13:21
Copyright © 1999-2015 L’équipe de TigerVNC et beaucoup d’autres (voir README.txt)
Voir http://www.tigervnc.org pour plus d’informations sur TigerVNC.

Wed Nov 18 11:24:21 2015
main: Listening on port 5500
GitsoThread.run(pid: 30527) running...
Processes.KillPID(30527)

Wed Nov 18 11:24:26 2015
CConnection: Server supports RFB protocol version 3.8
CConnection: Using RFB protocol version 3.8
main: Termination signal 15 has been received. TigerVNC Viewer will now
exit.
x11vnc: aucun processus trouvé

---------------------
It's looks like the wx python library call need to be updated on the gitso source code.
I tryied to make issue on the official project website but this one is on "ReadOnly" state by Google : https://code.google.com/p/gitso/
The project was forked on Github by (at least) 2 people and the most advanced fork seams to be https://github.com/rastersoft/Gitso

What do you thing to update the pkgBuild with this repository (or another more mature if this one is not functionnal) ?

Salamandar commented on 2015-09-12 17:26

The "tightvnc" dependency should be changed to "tigervnc" !!!

khampf commented on 2014-11-22 22:47

Someone flagged this package out-of-date but I checked and 0.6 is still the current platform-independent source package available upstream.

khampf commented on 2014-07-23 13:13

Yes, please add net-tools or somebody will ask for you to do it again and again every 2-3 years ;)

Ambrevar commented on 2011-11-26 20:54

Please add net-tools to dependencies. Thanks.

dserban commented on 2011-02-26 09:02

Added missing dependency iproute2, thanks doorknob60.

doorknob60 commented on 2011-02-26 01:48

Add iproute2 to depends

dserban commented on 2011-02-12 19:12

Adopted and updated to the latest version: 0.6.
Implemented workarounds for issues described here ("-noxrecord"):
https://bbs.archlinux.org/viewtopic.php?id=108916
and here ("-xkb"):
http://www.bramschoenmakers.nl/en/node/714

vnoel commented on 2010-10-17 13:08

Here is an updated PKGBUILD, please update :)

pkgname=gitso
pkgver=0.6
pkgrel=1
pkgdesc="Frontend to reverse VNC connections. It is meant to be a simple two-step process that connects one person to another's screen. First, the support person offers to give support. Second, the person who needs help connects and has their screen remotely visible."
arch=('i686' 'x86_64')
url="http://code.google.com/p/gitso/"
license=('GPL3')
depends=('wxpython' 'x11vnc' 'tightvnc')
source=(http://gitso.googlecode.com/files/gitso_${pkgver}_linux_all.tar.gz)
md5sums=('095a89fa93a5af1fca4f02e6dda52631')

build() {
cd "${srcdir}/Gitso"
mkdir $startdir/pkg/usr/
cp -r bin share $startdir/pkg/usr
chmod -R o+r $startdir/pkg/usr/
}

salsadoom commented on 2010-08-11 20:46

This is a handy app for helping people remotely, quite simple and straight-forward. I'd like to see this updated as well.

Anonymous comment on 2010-04-17 20:13

Please update this package and add x86_64 support.